<?php
/*********************************************************************************
	Debit API Demo - Konfigurationsdatei
	- legt Einstellungen für die Demoapplikation fest
*********************************************************************************/

// Ausgabe von Notices unterdrücken
	error_reporting(E_ALL - E_NOTICE);


// für serviceclient; siehe auch http://techdoc.micropayment.de/payment/serviceclient/
	define('MCP__DEBITSERVICE_NVP_URL', 'https://webservices.micropayment.de/public/debit/v2.0/nvp/'); //Service-URL aus Ihrer Konfiguration auf micropayment.de
	define('MCP__DEBITSERVICE_INTERFACE', 'IMcpDebitService_v2_0');

// ihr persönlicher accessKey aus ihrer Projektkonfiguration
	define(SERVICE_ACCESSKEY, 'HIER_ACCESSKEY_EINTRAGEN');
// De-/Aktivierung des Testmodus
	define(SERVICE_TESTMODE, '1');
// ihr Projektname
	define(PROJECT_NAME, 'HIER_PROJEKTKUERZEL_EINTRAGEN');
// Debugausgaben de-/aktivieren
	define(DEBUG, 1);

// diese Demo demonstriert ein einfaches Coinsystem
// die möglichen Angebote sind in dieser Liste
	$offerList = array(
		1 => array(title => '10 Coins', coins => 10, amount => 795),
		2 => array(title => '50 Coins', coins => 50, amount => 3495),
		3 => array(title => '100 Coins', coins => 100, amount => 5995),
	);


	define(NOTIFICATION_TEMPLATE, 'Unsere Forderung in Höhe von {$amount} ziehen wir mit der SEPA-Lastschrift zum Mandat Nr. {$mandateRef} zu der Gläubiger-Identifikationsnummer {$creditorId} von Ihrem Konto IBAN {$iban} bei der {$bank} BIC {$bic} zum Fälligkeitstag {$payDate} ein. Wir bitten Sie für Kontodeckung zu sorgen.');

// Fehlercodes
	define(ERR_OK, 0);
	define(ERR_BANKCODE_INVALID, 4101);		// Bankleitzahl ist ungültig
	define(ERR_ACCOUNTNUMBER_INVALID, 4102);// Kontonummer ist ungültig
	define(ERR_BANKACCOUNT_NOTSET, 4103);	// Es wurde keine Kontoverbindung hinterlegt
	define(ERR_SESSION_APPROVED, 4104);		// Vorgang wurde bereits bestätigt
	define(ERR_BANKACCOUNT_BARRED, 4105);	// Kontoverbindung wurde gesperrt
	define(ERR_LIMIT_REACHED, 4106);		// Limit erreicht
	define(ERR_AMOUNT_NOT_POSSIBLE, 4107);	// kein offener Betrag oder übersteigt Sessionbetrag
	define(ERR_IBAN_INVALID, 4108);			// iban ist ungültig
	define(ERR_BIC_REQUIRED, 4109);			// Land ist ungültig

	define(DEFAULT_COUNTRY, 'DE');			// Land für iban/bic
	define(DEFAULT_CURRENCY, 'EUR');		// Währung der Transaktion, z.Z. nur EUR möglich

	require_once 'serviceclient/lib/init.php';
	require_once 'serviceclient/services/' . MCP__DEBITSERVICE_INTERFACE . '.php';
	require_once MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php';

?>
