<?php
/*********************************************************************************
	Debit API Demo - Anmeldung
	- legt neuen User mit Namen und Passwort an
*********************************************************************************/

require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// nur ausführen wenn Formular unten gesendet wurde
	if (getPostVar('action') != 'register'){
		$break = true;
		throw new Exception('action != register');
	}

// Eingaben ermitteln
	$username = getPostVar('username');
	$password = getPostVar('password');
	$password2 = getPostVar('password2');

// usernamen prüfen
	if (empty($username)) throw new Exception('Geben Sie einen Usernamen ein');

// Prüfen, ob User bereits existiert -> im Fehlerfall Exception von dispatcher
	try{
		$res = $dispatcher->customerGet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $username);
		$GLOBALS['debug']['dispatcher']['customerGet'][] = $res;

		throw new Exception('Username existiert bereits');
	} catch (Exception $e){
		$GLOBALS['debug']['exception'][] = $e;
		//
	}

// passwort prüfen
	if (empty($password)) throw new Exception('Geben Sie ein Passwort ein');
	if (empty($password2)) throw new Exception('Wiederholen Sie das Passwort');
	if ($password2 != $password) throw new Exception('Passwörter stimmen nicht überein');

// freeparams setzen
	$freeParams = array(
		'password' => $password,
		'coins' => 0
	);

// User anlegen -> im Fehlerfall Exception von dispatcher
	$res = $dispatcher->customerCreate(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $username, $freeParams);
	$GLOBALS['debug']['dispatcher']['customerCreate'][] = $res;

// erfolgreich
	setSessionVar('username', $username);
	include('page.bankaccount.php');
	return;

} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
?>
<form action="index.php?page=register" method="post">
	<input type="hidden" name="action" value="register">

	<b>Melden Sie sich an</b>
	<hr>

	<div>
		Lieber Kunde! Melden Sie sich zuerst an, um Ihr Guthaben aufzuladen.<br>
		<br>
	</div>

	<div>
		<label for="username">Username</label><br>
		<input type="text" id="username" name="username" value="<?php echo $username; ?>">
	</div>

	<div>
		<label for="password">Passwort</label><br>
		<input type="password" id="password" name="password" value="<?php echo $password; ?>">
	</div>

	<div>
		<label for="password2">Passwort wiederholen</label><br>
		<input type="password" id="password2" name="password2" value="<?php echo $password2; ?>">
	</div>

	<div class="center">
		<input type="submit" value="Anmelden">
	</div>

	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
</form>


